#!/usr/bin/env python
# -*- mode:Python; tab-width: 4 -*-
"""
Little hack for Etxebide. Goes through the html files fixing the
.jsp absolute urls to non-existant local files, which is a hack.
"""

import re
import cms_freeze


__author__ = "Estbaliz Alvarez <esti@efaber.net>"
__date__ = "Octubre 2003"
__version__ = "$Revision: 1.3 $"
__credits__ = ""


# Change the next value to zero if you want q01 links to use a
# relative path instead of a server absolute path
jsp = re.compile(r'/q01a/(.*[^(_e)])\.jsp')


def main(directory, extension):
    """Entry point of the appliaction."""
    for file, dummy in cms_freeze.walk_local_files(extension, directory):
        if re.search('_e\.htm$', file):
            process_jsp_links(file)
    print "Done"


def process_jsp_links(filename):
    """Makes all *q01* relative links, even when file doesn't exist."""
    print "Searching jsp links in", filename
    input = file(filename, "rb")
    data = input.read()
    input.close()

    output_text = jsp.sub(r'/q01a/\1_e.jsp',data)
    
    output = file(filename, "wb")
    output.write(output_text)
    output.close()


if __name__ == "__main__":
    import sys
    if "run" in sys.argv[1:]:
        main("etxebide", ".htm")
    else:
        print """
Little hack for Etxebide. Goes through the htm files fixing the
.jsp links. It only changes the files named "*_e.htm" where links 
don't point to the basque version of the jsp scripts. 

Example: it substitutes "/q01a/q01aexp.jsp" for "/q01a/q01aexp_e.jsp"
in /topics/apuntate/index_e.htm

To run this script for real, you have to pass the parameter
"run". Otherwise only this boring screen is printed.  

"""
